/*inicia IMAGEN DE USUARIO*/
.avatar {
  @include flex(0 0 auto);
  @include flexbox(row, nowrap, center, center);
  a,
  span {
    width: inherit;
    height: inherit;
    display: block;
    overflow: visible;
    @include border-radius(50%);
    @include box-sizing(border-box);
    img {
      width: 100%;
      height: 100%;
      @include border-radius(50%);
    }
    svg {
      width: 100%;
      height: 100%;
      padding: 6px;
      @include box-sizing(border-box);
      * {
        fill: $primary;
      }
    }
  }
  hr {
    display: none;
  }
  &[data-status]:not([data-status=""]) {
    hr {
      width: 40%;
      height: 40%;
      z-index: 1;
      position: absolute;
      right: -5px;
      bottom: -2px;
      @include flexbox(row, nowrap, center, center);
      @include border-radius(50%);
      &:before {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        border: 3px solid $darker;
        @include box-sizing(border-box);
        @include border-radius(inherit);
      }
    }
    &[data-status="online"] {
      hr {
        &:before {
          background: $verde; /*verde*/
        }
      }
    }
    &[data-status="iddle"] {
      hr {
        &:before {
          background: $amarillo;
        }
      }
    }
    &[data-status="busy"] {
      hr {
        &:before {
          background: $narrojo;
        }
      }
    }
    &[data-status="offline"] {
      hr {
        &:before {
          background: $offline;
        }
      }
    }
  }
}
.shared {
  &[data-multi] {
    a,
    span {
      &:first-child {
        width: 60%;
        height: 60%;
      }
      &:nth-child(2) {
        bottom: 0;
        left: 10%;
        z-index: 0;
      }
      &:last-child {
        top: 10%;
        bottom: auto;
        z-index: 2;
      }
    }
  }
  a,
  span {
    width: 60%;
    height: 60%;
    position: absolute;
    &:first-child {
      width: 80%;
      height: 80%;
      top: 0;
      left: 0;
      z-index: 1;
    }
    &:last-child {
      right: 0;
      bottom: 0;
      z-index: 0;
    }
  }
  hr {
    display: none;
  }
}
/*termina IMAGEN DE USUARIO*/
